petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCCOMPOSITE

Build a preconditioner by composing together several preconditioners

### Options Database Keys

| -pc_composite_type <type: one of multiplicative, additive, symmetric_multiplicative, special> | - Sets composite preconditioner type Many br
| -pc_use_amat | - Activates PCSetUseAmat() Many br
| -pc_composite_pcs | - <pc0,pc1,...> list of PCs to compose Many br

Many br

Notes: To use a Krylov method inside the composite preconditioner, set the PCType of one or more Many brinner PCs to be PCKSP. Many brUsing a Krylov method inside another Krylov method can be dangerous (you get divergence or Many brthe incorrect answer) unless you use KSPFGMRES as the outer Krylov method Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCSHELL, PCKSP, PCCompositeSetType(), PCCompositeSpecialSetAlpha(), PCCompositeAddPC(), Many brPCCompositeGetPC(), PCSetUseAmat() Many br

Level:intermediate
Location:src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages